local curStage = GAMESTATE:GetCurrentStage();
local playMode = GAMESTATE:GetPlayMode();
local stages = {
	Stage_1st		= 1,
	Stage_2nd		= 2,
	Stage_3rd		= 3,
	Stage_4th		= 4,
	Stage_5th		= 5,
	Stage_6th		= 6,
};

if GAMESTATE:IsCourseMode() then
	curStage = playMode;
end;

if stages[curStage] == PREFSMAN:GetPreference("SongsPerPlay") then
	curStage = "Stage_Final";
else
	curStage = curStage;
end;

--stage label
local t = Def.ActorFrame{
	LoadActor("_label "..curStage)..{
		InitCommand=cmd(horizalign,right;draworder,100;x,SCREEN_RIGHT-13;y,SCREEN_CENTER_Y-100;);
		OnCommand=cmd(addx,340;diffusealpha,0;sleep,0.5;decelerate,0.2;addx,-340;diffusealpha,0.5;linear,0.6;diffusealpha,1;sleep,0.7;linear,0.075;addx,(-SCREEN_CENTER_X+164)-22;diffusealpha,0;);
	};
	
	LoadActor("_label "..curStage)..{
		InitCommand=cmd(draworder,99;x,SCREEN_RIGHT-180;y,SCREEN_CENTER_Y-100;diffusealpha,0.4;);
		OnCommand=cmd(addx,SCREEN_WIDTH;sleep,0.2;accelerate,0.5;addx,-SCREEN_WIDTH;linear,1.25;addx,(-SCREEN_WIDTH*0.1)-28;zoomx,1.1;zoomy,1.1;diffusealpha,0;);
	};
	
	LoadActor("_label "..curStage)..{
		InitCommand=cmd(horizalign,left;draworder,100;x,SCREEN_CENTER_X-200;y,SCREEN_CENTER_Y-100;);
		OnCommand=cmd(diffusealpha,0;sleep,2;linear,0.075;diffusealpha,1;y,SCREEN_CENTER_Y+100-10;sleep,0.7;zoomtoheight,4;linear,0.1;zoomtowidth,SCREEN_WIDTH*2;zoomtoheight,0;diffusealpha,0;);
	};
};

return t;